Bug 41141 - Wrong physical size reported for Acer Aspire One screen
Summary: Wrong physical size reported for Acer Aspire One screen
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords: patch
Depends on:
Blocks: xserver-1.12
  Show dependency treegraph
 
Reported: 2011-09-23 02:04 UTC by Ross Burton
Modified: 2011-11-21 19:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch (981 bytes, patch)
2011-09-23 02:08 UTC, Ross Burton
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Burton 2011-09-23 02:04:25 UTC
We've an downstream bug report on MeeGo where X thinks that the 9" screen on an Acer Aspire One 110 netbook is actually 451mm by 113mm.

I obtained the offending EDID data and using a patched parse-edid discovered that whilst the maximum physical size is reported as 190mm x 110mm, the native (and only) mode has a reported physical size of 451mm x 113mm.

Clearly this calls for the quirk_detailed_use_maximum_size() quirk.
Comment 1 Ross Burton 2011-09-23 02:08:06 UTC
Created attachment 51535 [details] [review]
Patch

I think I have the detection correct but don't have easy access to an affected machine to test.

parse-edid reports the following:

	Identifier "LGD:7f01"
	VendorName "LGD"
	ModelName "LGD:7f01"
Comment 2 Ross Burton 2011-09-23 02:11:36 UTC
(reported against xserver 1.9.0, patch generated against master)
Comment 3 Julien Cristau 2011-09-23 14:43:56 UTC
please send the patch to the list (xorg-devel@lists.x.org) per http://www.x.org/wiki/Development/Documentation/SubmittingPatches

thanks!
Comment 4 Jeremy Huddleston Sequoia 2011-10-14 16:55:58 UTC
Unmarking as a 1.11 blocker, but I will consider this for 1.11 once it is in master.
Comment 5 Jeremy Huddleston Sequoia 2011-10-28 18:48:54 UTC
Ping.  Ross, please send your patch to xorg-devel.
Comment 6 Julien Cristau 2011-10-30 03:10:28 UTC
> --- Comment #5 from Jeremy Huddleston <jeremyhu@freedesktop.org> 2011-10-28 18:48:54 PDT ---
> Ping.  Ross, please send your patch to xorg-devel.
> 
he already did, iirc.
Comment 7 Ross Burton 2011-10-31 07:08:28 UTC
Yes, I did.

http://lists.x.org/archives/xorg-devel/2011-September/025754.html
Comment 8 Jeremy Huddleston Sequoia 2011-10-31 17:16:43 UTC
Yes, it was sent, reviewed by daniels and myself.  It was never resent to 
keithp with our r-b's for merging into master.  Please send the final version 
with the r-b's to keithp and CC the list, so this can get merged... preferibly 
before beta1 this Friday.
Comment 9 Jeremy Huddleston Sequoia 2011-11-21 19:04:32 UTC
commit 40c1287f36517f0afd62306e306f6a68120d9a59
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Sep 28 11:46:02 2011 +0100

    edid: Add quirk for Acer Aspire One 110
    
    At least one revision of the AAO reports a 190x110mm maximum size but a
    451x113mm mode.
    
    X.Org Bug 41141 <https://bugs.freedesktop.org/show_bug.cgi?id=41141>
    
    Signed-off-by: Ross Burton <ross@linux.intel.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    (cherry picked from commit 58864146fbdf1820d04825838691e84784ef91bc)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.